## WebKitDOMTimeRanges

WebKitDOMTimeRanges

## Functions

gdouble | webkit_dom_time_ranges_start ()
gdouble | webkit_dom_time_ranges_end ()
gulong | webkit_dom_time_ranges_get_length ()

## Properties

gulong | length | Read

## Types and Values

| WebKitDOMTimeRanges

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMTimeRanges

## Description

## Functions

### webkit_dom_time_ranges_start ()

    gdouble
    webkit_dom_time_ranges_start (WebKitDOMTimeRanges *self,
                                  gulong index,
                                  GError **error);

#### Parameters

self | A WebKitDOMTimeRanges |
index | A gulong |
error | GError |

#### Returns

A gdouble

### webkit_dom_time_ranges_end ()

    gdouble
    webkit_dom_time_ranges_end (WebKitDOMTimeRanges *self,
                                gulong index,
                                GError **error);

#### Parameters

self | A WebKitDOMTimeRanges |
index | A gulong |
error | GError |

#### Returns

A gdouble

### webkit_dom_time_ranges_get_length ()

    gulong
    webkit_dom_time_ranges_get_length (WebKitDOMTimeRanges *self);

#### Parameters

self | A WebKitDOMTimeRanges |

#### Returns

A gulong

## Types and Values

### WebKitDOMTimeRanges

    typedef struct _WebKitDOMTimeRanges WebKitDOMTimeRanges;

## Property Details

### The `“length”` property

      “length”                   gulong

read-only gulong TimeRanges:length.

Flags: Read